pcl::poisson::BSplineElements< Degree > Struct Template Reference

`#include <pcl/surface/3rdparty/poisson4/bspline_data.h>`

Inheritance diagram for pcl::poisson::BSplineElements< Degree >:

## Public Types

enum | { NONE = 0, DIRICHLET = -1, NEUMANN = 1 }

## Public Member Functions

void | _addLeft (int offset, int boundary)
void | _addRight (int offset, int boundary)
| BSplineElements (void)
| BSplineElements (int res, int offset, int boundary=NONE)
void | upSample (BSplineElements &high) const
void | differentiate (BSplineElements< Degree-1 > &d) const
void | print (FILE *fp=stdout) const
template<>
void | upSample (BSplineElements< 1 > &high) const
template<>
void | upSample (BSplineElements< 2 > &high) const

## Public Attributes

int | denominator

## Static Public Attributes

static const int | _off = (Degree+1)/2

## Detailed Description

### template<int Degree>
struct pcl::poisson::BSplineElements< Degree >

Definition at line 108 of file bspline_data.h.

## Member Enumeration Documentation

template<int Degree>

anonymous enum

Enumerator
NONE |
DIRICHLET |
NEUMANN |

Definition at line 114 of file bspline_data.h.

## Constructor & Destructor Documentation

template<int Degree>

pcl::poisson::BSplineElements< Degree >::BSplineElements | ( | void |  | ) |

inline

Definition at line 123 of file bspline_data.h.

template<int Degree>

pcl::poisson::BSplineElements< Degree >::BSplineElements | ( | int | res,
|  | int | offset,
|  | int | boundary = `NONE`
| ) |  |

Definition at line 395 of file bspline_data.hpp.

## Member Function Documentation

template<int Degree>

void pcl::poisson::BSplineElements< Degree >::_addLeft | ( | int | offset,
|  | int | boundary
| ) |  |

Definition at line 413 of file bspline_data.hpp.

template<int Degree>

void pcl::poisson::BSplineElements< Degree >::_addRight | ( | int | offset,
|  | int | boundary
| ) |  |

Definition at line 425 of file bspline_data.hpp.

template<int Degree>

void pcl::poisson::BSplineElements< Degree >::differentiate | ( | BSplineElements< Degree-1 > & | d | ) | const

Definition at line 499 of file bspline_data.hpp.

References pcl::poisson::BSplineElements< Degree >::denominator.

Referenced by pcl::poisson::BSplineData< Degree, Real >::setDotTables().

template<int Degree>

void pcl::poisson::BSplineElements< Degree >::print | ( | FILE * | fp = `stdout` | ) | const

inline

Definition at line 129 of file bspline_data.h.

References pcl::poisson::SetBSplineElementIntegrals().

template<int Degree>

void pcl::poisson::BSplineElements< Degree >::upSample | ( | BSplineElements< Degree > & | high | ) | const

Definition at line 437 of file bspline_data.hpp.

Referenced by pcl::poisson::BSplineData< Degree, Real >::setDotTables().

template<>

void pcl::poisson::BSplineElements< 1 >::upSample | ( | BSplineElements< 1 > & | high | ) | const

Definition at line 443 of file bspline_data.hpp.

References pcl::poisson::BSplineElements< Degree >::denominator.

template<>

void pcl::poisson::BSplineElements< 2 >::upSample | ( | BSplineElements< 2 > & | high | ) | const

Definition at line 462 of file bspline_data.hpp.

References pcl::poisson::BSplineElements< Degree >::denominator.

## Member Data Documentation

template<int Degree>

const int pcl::poisson::BSplineElements< Degree >::_off = (Degree+1)/2

static

Definition at line 110 of file bspline_data.h.

template<int Degree>

int pcl::poisson::BSplineElements< Degree >::denominator

Definition at line 121 of file bspline_data.h.

Referenced by pcl::poisson::BSplineElements< Degree >::differentiate(), pcl::poisson::BSplineData< Degree, Real >::setDotTables(), and pcl::poisson::BSplineElements< Degree >::upSample().

The documentation for this struct was generated from the following files:

- /build/pcl-0nnAvv/pcl-1.7.2/surface/include/pcl/surface/3rdparty/poisson4/bspline_data.h
- /build/pcl-0nnAvv/pcl-1.7.2/surface/include/pcl/surface/3rdparty/poisson4/bspline_data.hpp